# Защита для однократного включения файла *.cmake
# Функция include_guard() реализована в версии 3.10
# Макрос реализован для обратной совместимости

if(${CMAKE_VERSION} VERSION_LESS "3.10.0")
  macro(include_guard)
    if (MYX_CMAKE_INCLUDED_${CMAKE_CURRENT_LIST_FILE})
      return()
    endif()
    set(MYX_CMAKE_INCLUDED_${CMAKE_CURRENT_LIST_FILE} TRUE)
  endmacro()
endif()

