include_guard(GLOBAL)

# Формирование строки, состоящей из заглавных символов, цифр и подчёркиваний
function(myx_cmake_canonical_string in_string out_string)
  string(TOUPPER ${in_string} _uppercase)
  string(REGEX REPLACE "[ -]" "_" _fixed ${_uppercase})
  set(${out_string} ${_fixed} PARENT_SCOPE)
endfunction()

# Добавление общего префикса ко всем переменным в списке
function(myx_cmake_list_transform_prepend values prefix)
  set(_list "")
  foreach(_val ${${values}})
    list(APPEND _list "${prefix}${_val}")
  endforeach()
  set(${values} ${_list} PARENT_SCOPE)
endfunction()
